Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1413796 - USB stick restore feature uses incorrect type code, macOS wants to initialize the stick
Summary: USB stick restore feature uses incorrect type code, macOS wants to initialize...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 00:26 UTC by Chris Murphy
Modified: 2017-05-27 03:01 UTC (History)
1 user (show)

Fixed In Version: mediawriter-4.1.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-27 03:01:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris Murphy 2017-01-17 00:26:36 UTC
Description of problem:

Using the restore stick feature results in fdisk type code 83 (Linux) being used instead of either OB or OC. Windows may not recognize type code 83; for sure macOS does not and asks the user to initialize the disk.


Version-Release number of selected component (if applicable):
mediawriter-4.0.8-0.fc25.x86_64

How reproducible:
Always. Not a regression.


Steps to Reproduce:
1. After putting a live image on a USB stick, insert it with FMW running.
2. Acknowledge Restore option for the stick.
3.

Actual results:

fdisk type code for the partition created on the stick is 83. macOS recognizes this as a Linux type code and won't mount (automatically or manually) the stick.

Expected results:

Type code should probably be 0B; or possibly 0C. I've tried both on macOS and both work.

Additional info:

Comment 1 Martin Bříza 2017-01-17 08:08:45 UTC
Chris, thanks for noticing.
I fixed this upstream.

Comment 2 Fedora Update System 2017-05-18 14:49:03 UTC
mediawriter-4.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dade9f0f49

Comment 3 Fedora Update System 2017-05-20 01:05:53 UTC
mediawriter-4.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dade9f0f49

Comment 4 Fedora Update System 2017-05-27 03:01:25 UTC
mediawriter-4.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.